Intermittent Android failure in object--auto-auto--pct-0.html, object--auto-auto--0-pct.html, object--auto-auto--px-0.html, object--auto-auto--0-px.html object--auto-auto--0-0.html

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
8 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
ARM
Android
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [mobile_unittests][mobile_dev_needed])

Attachments

(3 attachments)

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Mobile/1303077214.1303079122.31949.gz#err1
Android Tegra 250 mozilla-central opt test reftest-2 on 2011/04/17 14:53:34 
s: tegra-072

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.154:30072/tests/layout/reftests/svg/sizing/object--auto-auto--pct-0.html | image comparison (==) 
...
REFTEST number of differing pixels: 45784
REFTEST INFO | Saved log: START http://10.250.48.154:30072/tests/layout/reftests/svg/sizing/object--auto-auto--pct-0.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: START http://10.250.48.154:30072/tests/layout/reftests/svg/sizing/object--auto-auto--pct-0--ref.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Loading a blank page
(Reporter)

Comment 1

8 years ago
Pretty sure this is close enough to only amount to one bug:

http://tinderbox.mozilla.org/showlog.cgi?log=Mobile/1303083454.1303087319.27470.gz
Android Tegra 250 mozilla-central opt test reftest-2 on 2011/04/17 16:37:34
s: tegra-071

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.154:30071/tests/layout/reftests/svg/sizing/object--auto-auto--px-0.html | image comparison (==) 
...
REFTEST number of differing pixels: 45831
Summary: Intermittent Android failure in object--auto-auto--pct-0.html → Intermittent Android failure in object--auto-auto--pct-0.html and object--auto-auto--px-0.html
(Reporter)

Updated

8 years ago
Attachment #526638 - Attachment description: reftest log → object--auto-auto--pct-0.html reftest log
Whiteboard: [orange] → [orange][mobile_unittests][mobile_dev_needed]
(Reporter)

Comment 3

8 years ago
Same story, different side.

http://tinderbox.mozilla.org/showlog.cgi?log=Mobile/1303161915.1303163336.28664.gz
Android Tegra 250 mozilla-central opt test reftest-2 on 2011/04/18 14:25:15
s: tegra-042

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.152:30042/tests/layout/reftests/svg/sizing/object--auto-auto--0-pct.html | image comparison (==) 
REFTEST number of differing pixels: 46430
Summary: Intermittent Android failure in object--auto-auto--pct-0.html and object--auto-auto--px-0.html → Intermittent Android failure in object--auto-auto--pct-0.html, object--auto-auto--0-pct.html, object--auto-auto--px-0.html
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1303963745.1303965323.11468.gz
Android Tegra 250 try opt test reftest-2 on 2011/04/27 21:09:05

s: tegra-055
REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.153:30055/tests/layout/reftests/svg/sizing/object--auto-auto--0-px.html | image comparison (==)
Summary: Intermittent Android failure in object--auto-auto--pct-0.html, object--auto-auto--0-pct.html, object--auto-auto--px-0.html → Intermittent Android failure in object--auto-auto--pct-0.html, object--auto-auto--0-pct.html, object--auto-auto--px-0.html, object--auto-auto--0-px.html
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Comment 33

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Mobile/1307080307.1307082138.12117.gz
Android Tegra 250 mozilla-central opt test reftest-2 on 2011/06/02 22:51:47
s: tegra-071

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.154:30071/tests/layout/reftests/svg/sizing/object--auto-auto--0-0.html | image comparison (==)
Summary: Intermittent Android failure in object--auto-auto--pct-0.html, object--auto-auto--0-pct.html, object--auto-auto--px-0.html, object--auto-auto--0-px.html → Intermittent Android failure in object--auto-auto--pct-0.html, object--auto-auto--0-pct.html, object--auto-auto--px-0.html, object--auto-auto--0-px.html object--auto-auto--0-0.html
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Comment 41

8 years ago
I don't think we're learning anything here, random-if'ed the remaining five that weren't already in http://hg.mozilla.org/mozilla-central/rev/4f9bbea16f75
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange][mobile_unittests][mobile_dev_needed] → [mobile_unittests][mobile_dev_needed]
You need to log in before you can comment on or make changes to this bug.